path: /build/build/libomp-sys-libs-13.0.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-cuda -hwloc -test llvm_targets_AMDGPU llvm_targets_NVPTX offload" emerge sys-libs/libomp -pv -t && \
    USE="-cuda -hwloc -test llvm_targets_AMDGPU llvm_targets_NVPTX offload" emerge -j ${JOBS} --nodeps sys-libs/libomp
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libomp && luet-portage --dir /pkgdir/libomp
    sys-libs/libomp && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:167f3e2218c97ba497383d0c90452c01860c0c656fb3a00b74ee5e48a6bac0d7
  package:
    name: libomp
    version: 13.0.0
    category: sys-libs
    use_flags:
    - -cuda
    - -hwloc
    - -test
    - llvm_targets_AMDGPU
    - llvm_targets_NVPTX
    - offload
    requires:
    - name: clang
      version: '>=0'
      category: sys-devel-13
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: OpenMP runtime library for LLVM/clang compiler
    uri:
    - https://openmp.llvm.org
    license: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
    buildtimestamp: 2023-08-17 11:05:52.56305458 +0000 UTC m=+120.063637750
    labels:
      BDEPEND: dev-lang/perl offload? ( llvm_targets_AMDGPU? ( sys-devel/clang ) llvm_targets_NVPTX?
        ( sys-devel/clang ) virtual/pkgconfig ) test? ( || ( ( dev-lang/python:3.10
        dev-python/lit[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ( dev-lang/python:3.8 dev-python/lit[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 dev-python/lit[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 dev-python/lit[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ) sys-devel/clang ) dev-util/ninja dev-util/cmake
      DEPEND: hwloc? ( sys-apps/hwloc:0=[-mgorny(-)] ) offload? ( virtual/libelf:=[-mgorny(-)]
        dev-libs/libffi:=[-mgorny(-)] ~sys-devel/llvm-13.0.0[-mgorny(-)] cuda? ( dev-util/nvidia-cuda-toolkit:=
        ) ) !!sys-devel/llvm:0
      IUSE: cuda debug hwloc kernel_linux offload ompt test llvm_targets_AMDGPU llvm_targets_NVPTX
        abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32
        abi_s390_64 kernel_linux
      RDEPEND: hwloc? ( sys-apps/hwloc:0=[-mgorny(-)] ) offload? ( virtual/libelf:=[-mgorny(-)]
        dev-libs/libffi:=[-mgorny(-)] ~sys-devel/llvm-13.0.0[-mgorny(-)] cuda? ( dev-util/nvidia-cuda-toolkit:=
        ) )
      emerge.packages: sys-libs/libomp
      kit: llvm-kit
      original.package.name: sys-libs/libomp
      original.package.slot: "0"
      original.package.version: 13.0.0
    treedir: /build/packages
  package_dir: /pkgdir/libomp
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e6403e2e18cd4ed6eab2dc5ac197d1bd5b1417a38c5de985455e3ec455983ff7
compressiontype: zstd
files:
- usr/include/omp.h
- usr/lib64/cmake/openmp/FindOpenMPTarget.cmake
- usr/lib64/libomp.so
- usr/lib64/libomptarget-amdgcn-gfx700.bc
- usr/lib64/libomptarget-amdgcn-gfx701.bc
- usr/lib64/libomptarget-amdgcn-gfx801.bc
- usr/lib64/libomptarget-amdgcn-gfx803.bc
- usr/lib64/libomptarget-amdgcn-gfx900.bc
- usr/lib64/libomptarget-amdgcn-gfx902.bc
- usr/lib64/libomptarget-amdgcn-gfx906.bc
- usr/lib64/libomptarget-amdgcn-gfx908.bc
- usr/lib64/libomptarget-new-nvptx-sm_35.bc
- usr/lib64/libomptarget-new-nvptx-sm_37.bc
- usr/lib64/libomptarget-new-nvptx-sm_50.bc
- usr/lib64/libomptarget-new-nvptx-sm_52.bc
- usr/lib64/libomptarget-new-nvptx-sm_53.bc
- usr/lib64/libomptarget-new-nvptx-sm_60.bc
- usr/lib64/libomptarget-new-nvptx-sm_61.bc
- usr/lib64/libomptarget-new-nvptx-sm_62.bc
- usr/lib64/libomptarget-new-nvptx-sm_70.bc
- usr/lib64/libomptarget-new-nvptx-sm_72.bc
- usr/lib64/libomptarget-new-nvptx-sm_75.bc
- usr/lib64/libomptarget-new-nvptx-sm_80.bc
- usr/lib64/libomptarget-nvptx-sm_35.bc
- usr/lib64/libomptarget-nvptx-sm_37.bc
- usr/lib64/libomptarget-nvptx-sm_50.bc
- usr/lib64/libomptarget-nvptx-sm_52.bc
- usr/lib64/libomptarget-nvptx-sm_53.bc
- usr/lib64/libomptarget-nvptx-sm_60.bc
- usr/lib64/libomptarget-nvptx-sm_61.bc
- usr/lib64/libomptarget-nvptx-sm_62.bc
- usr/lib64/libomptarget-nvptx-sm_70.bc
- usr/lib64/libomptarget-nvptx-sm_72.bc
- usr/lib64/libomptarget-nvptx-sm_75.bc
- usr/lib64/libomptarget-nvptx-sm_80.bc
- usr/lib64/libomptarget.rtl.amdgpu.so
- usr/lib64/libomptarget.rtl.cuda.so
- usr/lib64/libomptarget.rtl.x86_64.so
- usr/lib64/libomptarget.so
- usr/share/doc/libomp-13.0.0/README.rst.bz2
- var/db/pkg/sys-libs/libomp-13.0.0/BDEPEND
- var/db/pkg/sys-libs/libomp-13.0.0/BUILD_TIME
- var/db/pkg/sys-libs/libomp-13.0.0/CATEGORY
- var/db/pkg/sys-libs/libomp-13.0.0/CBUILD
- var/db/pkg/sys-libs/libomp-13.0.0/CFLAGS
- var/db/pkg/sys-libs/libomp-13.0.0/CHOST
- var/db/pkg/sys-libs/libomp-13.0.0/CONTENTS
- var/db/pkg/sys-libs/libomp-13.0.0/COUNTER
- var/db/pkg/sys-libs/libomp-13.0.0/CXXFLAGS
- var/db/pkg/sys-libs/libomp-13.0.0/DEFINED_PHASES
- var/db/pkg/sys-libs/libomp-13.0.0/DEPEND
- var/db/pkg/sys-libs/libomp-13.0.0/DESCRIPTION
- var/db/pkg/sys-libs/libomp-13.0.0/EAPI
- var/db/pkg/sys-libs/libomp-13.0.0/FEATURES
- var/db/pkg/sys-libs/libomp-13.0.0/HOMEPAGE
- var/db/pkg/sys-libs/libomp-13.0.0/INHERITED
- var/db/pkg/sys-libs/libomp-13.0.0/IUSE
- var/db/pkg/sys-libs/libomp-13.0.0/IUSE_EFFECTIVE
- var/db/pkg/sys-libs/libomp-13.0.0/KEYWORDS
- var/db/pkg/sys-libs/libomp-13.0.0/LDFLAGS
- var/db/pkg/sys-libs/libomp-13.0.0/LICENSE
- var/db/pkg/sys-libs/libomp-13.0.0/NEEDED
- var/db/pkg/sys-libs/libomp-13.0.0/PF
- var/db/pkg/sys-libs/libomp-13.0.0/PROVIDES
- var/db/pkg/sys-libs/libomp-13.0.0/RDEPEND
- var/db/pkg/sys-libs/libomp-13.0.0/REQUIRES
- var/db/pkg/sys-libs/libomp-13.0.0/RESTRICT
- var/db/pkg/sys-libs/libomp-13.0.0/SIZE
- var/db/pkg/sys-libs/libomp-13.0.0/SLOT
- var/db/pkg/sys-libs/libomp-13.0.0/USE
- var/db/pkg/sys-libs/libomp-13.0.0/environment.bz2
- var/db/pkg/sys-libs/libomp-13.0.0/libomp-13.0.0.ebuild
- var/db/pkg/sys-libs/libomp-13.0.0/repository
package_cacheimage: ""
runtime:
  name: libomp
  version: 13.0.0
  category: sys-libs
  use_flags:
  - -cuda
  - -hwloc
  - -test
  - llvm_targets_AMDGPU
  - llvm_targets_NVPTX
  - offload
  requires:
  - name: llvm
    version: '>=0'
    category: sys-devel-13
  - name: libelf
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: OpenMP runtime library for LLVM/clang compiler
  uri:
  - https://openmp.llvm.org
  license: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
  labels:
    BDEPEND: dev-lang/perl offload? ( llvm_targets_AMDGPU? ( sys-devel/clang ) llvm_targets_NVPTX?
      ( sys-devel/clang ) virtual/pkgconfig ) test? ( || ( ( dev-lang/python:3.10
      dev-python/lit[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ( dev-lang/python:3.8 dev-python/lit[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 dev-python/lit[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 dev-python/lit[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ) sys-devel/clang ) dev-util/ninja dev-util/cmake
    DEPEND: hwloc? ( sys-apps/hwloc:0=[-mgorny(-)] ) offload? ( virtual/libelf:=[-mgorny(-)]
      dev-libs/libffi:=[-mgorny(-)] ~sys-devel/llvm-13.0.0[-mgorny(-)] cuda? ( dev-util/nvidia-cuda-toolkit:=
      ) ) !!sys-devel/llvm:0
    IUSE: cuda debug hwloc kernel_linux offload ompt test llvm_targets_AMDGPU llvm_targets_NVPTX
      abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32
      abi_s390_64 kernel_linux
    RDEPEND: hwloc? ( sys-apps/hwloc:0=[-mgorny(-)] ) offload? ( virtual/libelf:=[-mgorny(-)]
      dev-libs/libffi:=[-mgorny(-)] ~sys-devel/llvm-13.0.0[-mgorny(-)] cuda? ( dev-util/nvidia-cuda-toolkit:=
      ) )
    emerge.packages: sys-libs/libomp
    kit: llvm-kit
    original.package.name: sys-libs/libomp
    original.package.slot: "0"
    original.package.version: 13.0.0
